Bug 211364 - Hardware Certfication memory test fails
Hardware Certfication memory test fails
Status: CLOSED CURRENTRELEASE
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Test Suite (tests) (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Greg Nichols
Brian Brock
:
: 433615 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-18 16:19 EDT by Greg Nichols
Modified: 2010-10-22 02:34 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-03 11:25:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
threaded memory test (14.33 KB, text/x-csrc)
2006-10-18 16:19 EDT, Greg Nichols
no flags Details

  None (edit)
Description Greg Nichols 2006-10-18 16:19:39 EDT
Description of problem:

The threaded memory test of the Hardware Certification Test suite fails,
reporting that mmap can not allocate memory:

[root@server memory]# ./threaded_memtest  -v  
Detected 2 processors.
RAM: 92.1% free (2799M/3039M)
Testing 2659M RAM for 900 seconds using 4 threads:
thread 0: mapping 664M RAM
thread 0: mapping complete
thread 1: mapping 664M RAM
thread 1: mapping complete
thread 2: mapping 664M RAM
thread 2: mapping complete
thread 3: mapping 664M RAM
mmap: Cannot allocate memory
[root@server memory]# 


Version-Release number of selected component (if applicable):


How reproducible:
always.

Steps to Reproduce:

Run the attached memory test (threaded_memtest.c)


Additional info:

Test hardware: Dell M90 notebook.

/proc/meminfo:

MemTotal:      3111944 kB
MemFree:       2781896 kB
Buffers:         82260 kB
Cached:          88764 kB
SwapCached:      71592 kB
Active:          80712 kB
Inactive:       167608 kB
HighTotal:     2226780 kB
HighFree:      2057940 kB
LowTotal:       885164 kB
LowFree:        723956 kB
SwapTotal:     2031608 kB
SwapFree:      1909112 kB
Dirty:              68 kB
Writeback:           0 kB
AnonPages:       29976 kB
Mapped:          20096 kB
Slab:            63720 kB
PageTables:       4492 kB
NFS_Unstable:        0 kB
Bounce:              0 kB
CommitLimit:   3587580 kB
Committed_AS:   418084 kB
VmallocTotal:   114680 kB
VmallocUsed:      4776 kB
VmallocChunk:   109688 kB
HugePages_Total:     0
HugePages_Free:      0
HugePages_Rsvd:      0
Hugepagesize:     4096 kB
Comment 1 Greg Nichols 2006-10-18 16:19:39 EDT
Created attachment 138828 [details]
threaded memory test
Comment 2 Greg Nichols 2006-10-24 13:58:40 EDT
The problem is with the test - it's attempting to use more memory than fits in
the virtual address space.   Changed Product to the Hardware Test Suite
Comment 3 Greg Nichols 2006-10-26 16:30:23 EDT
Changed test to correctly identify this model as an i386 with more that 3GB of
physical memory.
Comment 4 Greg Nichols 2008-02-20 09:43:20 EST
*** Bug 433615 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.